/*!
\mainpage SkyViewer

\section intro Introduction

This is an OpenGL based program to display <a href="http://www.eso.org/science/healpix/">HEALPix</a>-based
skymaps, saved in <a href="http://fits.gsfc.nasa.gov/">FITS</a> format files. The loaded skymaps can be
viewed either on a 3D sphere or as a Mollweide projection. In either case, realtime panning and zooming
are supported, along with rotations for the 3D sphere view, assuming you have a strong enough graphics
card.


\section requires Requirements:
  - <a href="http://www.trolltech.com/products/qt/index.html">Qt</a>, >= v3.1.2
  - <a href="http://legacy.gsfc.nasa.gov/docs/software/fitsio/fitsio.html">CFITSIO</a>,
         A FITS File Subroutine Library, >= v2.440
  - <a href="http://www.eso.org/science/healpix/">HEALPix</a>, >= v1.20
  - <a href="http://artis.imag.fr/Members/Gilles.Debunne/QGLViewer/">libQGLViewer</a>, >= v1.3.8

  I have developed this on a RH9-based system, but this \em should work with Windows and Mac OSX as
  well. At least all the above libraries claim to be able to be built on them. Let me know if you have
  any success.

  Note: For HEALPix, I do not need the entire package, just the \b C library. So enter the directory
  \c /path/to/Healpix_1.20/src/C/subs/ and \b make and \b make \b install. This should be enough. Not
  to say the rest of the HEALPix package isn't worth building, just that is all I need.

\section install Installation

  Once everything is in place, grab the source code:
  <a href="http://lambda.gsfc.nasa.gov/toolbox/skyviewer/skyviewer-0.2.2.tar.gz">skyviewer-0.2.2.tar.gz</a>
  Ungzip and untar the file in a convenient location, qmake and make:
\code
tar xfz skyviewer-0.2.2.tar.gz
cd skyviewer-0.2.2
qmake
make
\endcode
If everything goes as it should, you should have the binary \b skyviewer. Put it where you like
to keep your binaries and enjoy looking at skymaps in full 3D glory.
Please email us with any successes or failures you
encounter:
<a href="http://lambda.gsfc.nasa.gov/contact/contact.cfm">Suggestions</a>. We would be delighted
to hear of anyone's success in making builds under either Windows or Mac
OSX.

\section usage Usage

Using this program is straightforward. After starting, you are prompted
to select a FITS to load. Once the map is loaded, use the mouse to
rotate/pan/zoom and select display options from the buttons on the left.
Use the *Help*, , and *WhatsThis*, , buttons for further help.


To select pixel, "Shift" + "Left-Mouse-Button". Information will appear
on the left, under the "Sphere Resolution" button.

Nicholas Phillips,
<a href="mailto:phillips@friday.gsfc.nasa.gov?subject=SkyViewer">phillips@friday.gsfc.nasa.gov</a>,
SSAI/NASA/GSFC, Greenbelt MD.

*/
